restinio::transforms::zlib::impl Namespace Reference

## Functions

void | ensure_is_compression_operation (params_t::operation_t op)
| Check if operation is a copression, and throw if it is not. More...
void | ensure_valid_transforator (zlib_t *ztransformator)
| Check if a pointer to zlib transformator is valid. More...
std::string | content_encoding_token (params_t::format_t f)
| Get token for copression format. More...

## Function Documentation

## content_encoding_token()

std::string restinio::transforms::zlib::impl::content_encoding_token | ( | params_t::format_t | f | ) |

inline

Get token for copression format.

Definition at line 944 of file zlib.hpp.

## ensure_is_compression_operation()

void restinio::transforms::zlib::impl::ensure_is_compression_operation | ( | params_t::operation_t | op | ) |

inline

Check if operation is a copression, and throw if it is not.

Definition at line 926 of file zlib.hpp.

## ensure_valid_transforator()

void restinio::transforms::zlib::impl::ensure_valid_transforator | ( | zlib_t * | ztransformator | ) |

inline

Check if a pointer to zlib transformator is valid.

Definition at line 935 of file zlib.hpp.